## libav 11.8

=== debian/changelog ===
libav (6:11.8-1~deb8u1tanglu3.1) chromodoris-updates; urgency=medium

  * Pull from Debian stable for Tanglu because of security issue DSA 3685-1
  * Remaining changes:
    - Add libavresample2.triggers, libavcodec-extra-56.triggers,
      libavfilter5.triggers, libswscale3.triggers, libavcodec56.triggers,
      libavformat56.triggers, libavdevice55.triggers and libavutil54.triggers
      to prevent lintian error package-must-activate-ldconfig-trigger

 -- Thomas Funk <t.funk@web.de>  Sat, 27 Oct 2016 23:48:13 +0200

libav (6:11.8-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * debian/upstream-signing-key.pgp: Update upstream signing key.
  * debian/patches/mpegvideo_motion-Handle-edge-emulation-even-without-.patch:
    Fix NULL pointer dereference in put_no_rnd_pixels8_xy2_mmx. (CVE-2016-7424)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Sep 2016 15:23:39 +0200

libav (6:11.7-1~deb8u1) jessie-security; urgency=medium

  * New upstream release fixing a security issue.
    - mov: Check the entries value when parsing dref boxes (CVE-2016-3062)
  * debian/patches/CVE-2016-2326.patch: Removed, included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jun 2016 11:36:21 +0200

libav (6:11.6-1~deb8u1) jessie-security; urgency=medium

  * New upstream release fixing multiple security issues.
    - concat: disable by default (CVE-2016-1897, CVE-2016-1898)
    - aac_parser: add required padding for GetBitContext buffer
    - ac3_parser: add required padding for GetBitContext buffer
    - imc: add required padding for GetBitContext buffer
    - h263: Always check both dimensions
    - opusdec: properly handle mismatching configurations in multichannel
      streams
    - mov: Correctly allocate ctts_data
    - aac: Wait to know the channels before allocating frame
    - rtpdec_asf: Check memory allocation and free memory on error
    - jack: Check memory allocation
    - mov: Check memory allocation
    - mkv: Correctly report the latest packet had been flushed
    - aic: Fix slice size computation for widths multiples of 32 macroblocks
    - webp: Make sure enough bytes are available
    - g726: Do not crash on user mistake
    - bytestream2: set the reader to the end when reading more than available
    - vp7: bound checking in vp7_decode_frame_header
    - mux: Make sure that the data is actually written
    - file: properly forward errors from file_read() and file_write()
    - mmvideo: Make sure the rle does not write over the frame boundaries
    - opus: Buffer the samples from the correct offset
    - nut: Use the correct codec_tag when multiple are available
    - truemotion2: Fix the buffer check
    - mimic: Always return on failure
    - msnwc_tcp: Correctly report failure
    - rpza: Check the blocks left before processing one
    - dvdsubdec: Validate the RLE offsets
    - avi: Validate the stream-id for DV as well
    - mov: Use the correct type for size
  * debian/confflags: Force --disable-protocol=concat.
  * debian/patches/CVE-2016-2326.patch: avformat/asfenc: Check pts.
    (CVE-2016-2326)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Mar 2016 23:13:43 +0100

=== debian/control ===
Source: libav
Section: libs
Priority: optional
Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Loïc Minier <lool@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Jonas Smedegaard <dr@jones.dk>,
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libav.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libav.git;a=summary
Homepage: http://libav.org/
Build-Depends-Indep:
 doxygen
Build-Depends:
 debhelper (>= 9),
 frei0r-plugins-dev,
 libasound2-dev [linux-any],
 libbz2-dev,
 libcdio-cdda-dev,
 libcdio-dev,
 libcdio-paranoia-dev,
 libdc1394-22-dev [linux-any],
 libfreetype6-dev (>= 2.5.1),
 libgnutls28-dev,
 libgsm1-dev,
 libjack-dev,
 libmp3lame-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libopencv-dev,
 libopenjpeg-dev,
 libopus-dev (>= 1.0.1),
 libpulse-dev,
 libraw1394-dev [linux-any],
 librtmp-dev (>= 2.2e-4),
 libschroedinger-dev,
 libsdl1.2-dev,
 libspeex-dev,
 libtheora-dev (>> 0.0.0.alpha4),
 libtiff-dev,
 libva-dev [!hurd-any],
 libvdpau-dev,
 libvo-aacenc-dev,
 libvo-amrwbenc-dev,
 libvorbis-dev,
 libvpx-dev,
 libx11-dev,
 libx264-dev,
 libxext-dev,
 libxfixes-dev,
 libxvidcore-dev,
 libxvmc-dev,
 texi2html,
 yasm [any-amd64 any-i386],
 zlib1g-dev

Package: libav-tools
Section: video
Architecture: any
Replaces:
 libavcodec-extra-53 (<< 4:0.6~)
Pre-Depends:
 ${misc:Pre-Depends},
 dpkg (>= 1.15.7.2~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 frei0r-plugins (>= 1.3)
Conflicts:
 ffprobe
Description: Multimedia player, encoder and transcoder
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This package contains the avplay multimedia player, the avconv audio
 and video encoder, and the avprobe stream analyzer.  They support most
 existing file formats (AVI, MPEG, OGG, Matroska, ASF...) and encoding
 formats (MPEG, DivX, MPEG4, AC3, DV...). Additionally, it contains the
 qt-faststart utility which rearranges Quicktime files to facilitate
 network streaming.
 .
 This package replaces the 'ffmpeg' command-line tool that was provided
 in earlier distroreleases.

Package: libav-dbg
Section: debug
Priority: extra
Architecture: any
Replaces:
 ffmpeg-dbg (<< 6:0.8.3-5),
 libav-extra-dbg (<< 6:0.8.3-5)
Breaks:
 ffmpeg-dbg (<< 6:0.8.3-5),
 libav-extra-dbg (<< 6:0.8.3-5)
Depends:
 libav-tools (= ${binary:Version}),
 libavcodec56 (= ${binary:Version}) | libavcodec-extra-56 (= ${binary:Version}),
 libavdevice55 (= ${binary:Version}),
 libavformat56 (= ${binary:Version}),
 libavutil54 (= ${binary:Version}),
 libswscale3 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for Libav related packages
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This package contains debug data of the Libav related shared libraries.
 .
 Most people will not need this package. Please install it to produce useful
 stacktraces to help debugging the Libav library.

Package: libav-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: Documentation of the Libav API
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This package contains the html doxygen documentation of the Libav API.
 .
 Only application developers will find this package useful.

Package: libavutil54
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Libav utility library
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the common utility library from Libav. It contains shared code
 used by all other Libav libraries.

Package: libavcodec56
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libavcodec-extra-56
Replaces:
 libavcodec-extra-56
Breaks:
 mplayer (<< 2:1.0~rc4.dfsg1+svn34540-1~)
Description: Libav codec library
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the codec library from Libav (both encoding and decoding).
 .
 It supports most existing codecs (MPEG, MPEG2, MPEG4, AC3, DV...).

Package: libavdevice55
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Libav device handling library
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the device handling library from Libav.

Package: libavformat56
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Libav file format library
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the library for handling file formats from Libav.
 .
 It supports most existing file formats (AVI, MPEG, OGG, Matroska,
 ASF...).

Package: libavfilter5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 frei0r-plugins (>= 1.3)
Description: Libav video filtering library
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the video filtering library from Libav.

Package: libswscale3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Libav video scaling library
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the video software scaling library from Libav.

Package: libavutil-dev
Section: libdevel
Architecture: any
Depends:
 libavutil54 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libavutil
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the common utility library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavutil.

Package: libavcodec-dev
Section: libdevel
Architecture: any
Depends:
 libavcodec56 (<= ${source:Upstream-Version}-99) | libavcodec-extra-56 (<= ${source:Upstream-Version}-99),
 libavcodec56 (>= ${binary:Version}) | libavcodec-extra-56 (>= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 libavresample-dev (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 libdc1394-22-dev [linux-any],
 libgsm1-dev,
 libogg-dev,
 libraw1394-dev [linux-any],
 libschroedinger-dev,
 libspeex-dev,
 libtheora-dev (>> 0.0.0.alpha4),
 libvorbis-dev,
 libx11-dev,
 libxext-dev,
 zlib1g-dev
Description: Development files for libavcodec
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the codec library from Libav. It supports most existing
 encoding formats (MPEG, DivX, MPEG4, AC3, DV...).
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavcodec.

Package: libavdevice-dev
Section: libdevel
Architecture: any
Depends:
 libavdevice55 (= ${binary:Version}),
 libavformat-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libavdevice
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the device handling library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavdevice.

Package: libavformat-dev
Section: libdevel
Architecture: any
Depends:
 libavcodec-dev (= ${binary:Version}),
 libavformat56 (= ${binary:Version}),
 libavutil-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libavformat
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the demuxer library from Libav. It supports most
 existing file formats (AVI, MPEG, OGG, Matroska, ASF...).
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavformat.

Package: libavfilter-dev
Section: libdevel
Architecture: any
Depends:
 libavcodec-dev (= ${binary:Version}),
 libavresample-dev (= ${binary:Version}),
 libswscale-dev (= ${binary:Version}),
 libavfilter5 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libavfilter
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the video filtering library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libavfilter.

Package: libswscale-dev
Section: libdevel
Architecture: any
Depends:
 libavutil-dev (= ${binary:Version}),
 libswscale3 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libswscale
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the video scaling library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libswscale.

Package: libavresample-dev
Section: libdevel
Architecture: any
Depends:
 libavutil-dev (= ${binary:Version}),
 libavresample2 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for libavresample
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the video scaling library from Libav.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libswrescale.

Package: libavresample2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Replaces:
 libavresample0
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Libav audio resampling library
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the audio software resampling library from Libav.

Package: libavcodec-extra-56
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 libavcodec56
Conflicts:
 libavcodec56
Breaks:
 mplayer (<< 2:1.0~rc4.dfsg1+svn34540-1~)
Description: Libav codec library (additional codecs)
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .
 This is the codec library from Libav (both encoding and decoding).
 .
 This package is a replacement for the regular libavcodec56 library package;
 it contains the following additional codecs:
 .
  * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
  * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
  * Android VisualOn AAC (Encoder)
  * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
 .
 Because this package links against libraries that are licensed under
 Apache License 2.0, the resulting binaries are distributed under the
 GPL version 3 or later.

Package: libavcodec-extra
Section: metapackages
Priority: extra
Architecture: all
Depends:
 libavcodec-extra-56,
 ${misc:Depends},
Description: Libav codec library (additional codecs meta-package)
 Libav is a complete, cross-platform solution to decode, encode, record,
 convert and stream audio and video.
 .

## libav 11.12

=== libavcodec/Makefile ===
NAME = avcodec

HEADERS = avcodec.h                                                     \
          avfft.h                                                       \
          dv_profile.h                                                  \
          dxva2.h                                                       \
          vaapi.h                                                       \
          vda.h                                                         \
          vdpau.h                                                       \
          version.h                                                     \
          xvmc.h                                                        \

OBJS = allcodecs.o                                                      \
       avpacket.o                                                       \
       avpicture.o                                                      \
       bitstream.o                                                      \
       bitstream_filter.o                                               \
       codec_desc.o                                                     \
       dv_profile.o                                                     \
       fmtconvert.o                                                     \
       imgconvert.o                                                     \
       log2_tab.o                                                       \
       mathtables.o                                                     \
       options.o                                                        \
       parser.o                                                         \
       raw.o                                                            \
       utils.o                                                          \

# subsystems
OBJS-$(CONFIG_AANDCTTABLES)            += aandcttab.o
OBJS-$(CONFIG_AC3DSP)                  += ac3dsp.o
OBJS-$(CONFIG_AUDIO_FRAME_QUEUE)       += audio_frame_queue.o
OBJS-$(CONFIG_AUDIODSP)                += audiodsp.o
OBJS-$(CONFIG_BLOCKDSP)                += blockdsp.o
OBJS-$(CONFIG_BSWAPDSP)                += bswapdsp.o
OBJS-$(CONFIG_CABAC)                   += cabac.o
OBJS-$(CONFIG_DCT)                     += dct.o dct32_fixed.o dct32_float.o
OBJS-$(CONFIG_DXVA2)                   += dxva2.o
OBJS-$(CONFIG_ERROR_RESILIENCE)        += error_resilience.o
OBJS-$(CONFIG_FDCTDSP)                 += fdctdsp.o faandct.o           \
                                          jfdctfst.o jfdctint.o
FFT-OBJS-$(CONFIG_HARDCODED_TABLES)    += cos_tables.o cos_fixed_tables.o
OBJS-$(CONFIG_FFT)                     += avfft.o fft_fixed.o fft_float.o \
                                          $(FFT-OBJS-yes)
OBJS-$(CONFIG_GOLOMB)                  += golomb.o
OBJS-$(CONFIG_H263DSP)                 += h263dsp.o
OBJS-$(CONFIG_H264CHROMA)              += h264chroma.o
OBJS-$(CONFIG_H264DSP)                 += h264dsp.o h264idct.o
OBJS-$(CONFIG_H264PRED)                += h264pred.o
OBJS-$(CONFIG_H264QPEL)                += h264qpel.o
OBJS-$(CONFIG_HPELDSP)                 += hpeldsp.o
OBJS-$(CONFIG_HUFFMAN)                 += huffman.o
OBJS-$(CONFIG_HUFFYUVDSP)              += huffyuvdsp.o
OBJS-$(CONFIG_HUFFYUVENCDSP)           += huffyuvencdsp.o
OBJS-$(CONFIG_IDCTDSP)                 += idctdsp.o faanidct.o          \
                                          simple_idct.o jrevdct.o
OBJS-$(CONFIG_IIRFILTER)               += iirfilter.o
OBJS-$(CONFIG_INTRAX8)                 += intrax8.o intrax8dsp.o
OBJS-$(CONFIG_LIBXVID)                 += libxvid_rc.o
OBJS-$(CONFIG_LPC)                     += lpc.o
OBJS-$(CONFIG_LSP)                     += lsp.o
OBJS-$(CONFIG_MDCT)                    += mdct_fixed.o mdct_float.o
OBJS-$(CONFIG_ME_CMP)                  += me_cmp.o
OBJS-$(CONFIG_MPEG_ER)                 += mpeg_er.o
OBJS-$(CONFIG_MPEGAUDIO)               += mpegaudio.o mpegaudiodata.o   \
                                          mpegaudiodecheader.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += mpegaudiodsp.o                \
                                          mpegaudiodsp_data.o           \
                                          mpegaudiodsp_fixed.o          \
                                          mpegaudiodsp_float.o
OBJS-$(CONFIG_MPEGVIDEO)               += mpegvideo.o mpegvideodsp.o    \
                                          mpegvideo_motion.o mpegutils.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += mpegvideo_enc.o mpeg12data.o  \
                                          motion_est.o ratecontrol.o    \
                                          mpegvideoencdsp.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += pixblockdsp.o
OBJS-$(CONFIG_QPELDSP)                 += qpeldsp.o
OBJS-$(CONFIG_RANGECODER)              += rangecoder.o
RDFT-OBJS-$(CONFIG_HARDCODED_TABLES)   += sin_tables.o
OBJS-$(CONFIG_RDFT)                    += rdft.o $(RDFT-OBJS-yes)
OBJS-$(CONFIG_SINEWIN)                 += sinewin.o
OBJS-$(CONFIG_STARTCODE)               += startcode.o
OBJS-$(CONFIG_TPELDSP)                 += tpeldsp.o
OBJS-$(CONFIG_VAAPI)                   += vaapi.o
OBJS-$(CONFIG_VDA)                     += vda.o
OBJS-$(CONFIG_VDPAU)                   += vdpau.o
OBJS-$(CONFIG_VIDEODSP)                += videodsp.o
OBJS-$(CONFIG_VP3DSP)                  += vp3dsp.o

# decoders/encoders
OBJS-$(CONFIG_A64MULTI_ENCODER)        += a64multienc.o elbg.o
OBJS-$(CONFIG_A64MULTI5_ENCODER)       += a64multienc.o elbg.o
OBJS-$(CONFIG_AAC_DECODER)             += aacdec.o aactab.o aacsbr.o aacps.o \
                                          aacadtsdec.o mpeg4audio.o kbdwin.o \
                                          sbrdsp.o aacpsdsp.o
OBJS-$(CONFIG_AAC_ENCODER)             += aacenc.o aaccoder.o    \
                                          aacpsy.o aactab.o      \
                                          psymodel.o mpeg4audio.o kbdwin.o
OBJS-$(CONFIG_AASC_DECODER)            += aasc.o msrledec.o
OBJS-$(CONFIG_AC3_DECODER)             += ac3dec.o ac3dec_data.o ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_ENCODER)             += ac3enc_float.o ac3enc.o ac3tab.o \
                                          ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_FIXED_ENCODER)       += ac3enc_fixed.o ac3enc.o ac3tab.o ac3.o
OBJS-$(CONFIG_AIC_DECODER)             += aic.o
OBJS-$(CONFIG_ALAC_DECODER)            += alac.o alac_data.o
OBJS-$(CONFIG_ALAC_ENCODER)            += alacenc.o alac_data.o
OBJS-$(CONFIG_ALIAS_PIX_DECODER)       += aliaspixdec.o
OBJS-$(CONFIG_ALIAS_PIX_ENCODER)       += aliaspixenc.o
OBJS-$(CONFIG_ALS_DECODER)             += alsdec.o bgmc.o mpeg4audio.o
OBJS-$(CONFIG_AMRNB_DECODER)           += amrnbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMRWB_DECODER)           += amrwbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_ANM_DECODER)             += anm.o
OBJS-$(CONFIG_ANSI_DECODER)            += ansi.o cga_data.o
OBJS-$(CONFIG_APE_DECODER)             += apedec.o
OBJS-$(CONFIG_ASS_DECODER)             += assdec.o ass.o
OBJS-$(CONFIG_ASS_ENCODER)             += assenc.o ass.o
OBJS-$(CONFIG_ASV1_DECODER)            += asvdec.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV1_ENCODER)            += asvenc.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV2_DECODER)            += asvdec.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV2_ENCODER)            += asvenc.o asv.o mpeg12data.o
OBJS-$(CONFIG_ATRAC1_DECODER)          += atrac1.o atrac.o
OBJS-$(CONFIG_ATRAC3_DECODER)          += atrac3.o atrac.o
OBJS-$(CONFIG_ATRAC3P_DECODER)         += atrac3plusdec.o atrac3plus.o \
                                          atrac3plusdsp.o atrac.o
OBJS-$(CONFIG_AURA_DECODER)            += cyuv.o
OBJS-$(CONFIG_AURA2_DECODER)           += aura.o
OBJS-$(CONFIG_AVS_DECODER)             += avs.o
OBJS-$(CONFIG_BETHSOFTVID_DECODER)     += bethsoftvideo.o
OBJS-$(CONFIG_BFI_DECODER)             += bfi.o
OBJS-$(CONFIG_BINK_DECODER)            += bink.o binkdsp.o
OBJS-$(CONFIG_BINKAUDIO_DCT_DECODER)   += binkaudio.o wma.o wma_common.o
OBJS-$(CONFIG_BINKAUDIO_RDFT_DECODER)  += binkaudio.o wma.o wma_common.o
OBJS-$(CONFIG_BMP_DECODER)             += bmp.o msrledec.o
OBJS-$(CONFIG_BMP_ENCODER)             += bmpenc.o
OBJS-$(CONFIG_BMV_AUDIO_DECODER)       += bmvaudio.o
OBJS-$(CONFIG_BMV_VIDEO_DECODER)       += bmvvideo.o
OBJS-$(CONFIG_BRENDER_PIX_DECODER)     += brenderpix.o
OBJS-$(CONFIG_C93_DECODER)             += c93.o
OBJS-$(CONFIG_CAVS_DECODER)            += cavs.o cavsdec.o cavsdsp.o \
                                          cavsdata.o mpeg12data.o
OBJS-$(CONFIG_CDGRAPHICS_DECODER)      += cdgraphics.o
OBJS-$(CONFIG_CDXL_DECODER)            += cdxl.o
OBJS-$(CONFIG_CINEPAK_DECODER)         += cinepak.o
OBJS-$(CONFIG_CLJR_DECODER)            += cljrdec.o
OBJS-$(CONFIG_CLJR_ENCODER)            += cljrenc.o
OBJS-$(CONFIG_CLLC_DECODER)            += cllc.o
OBJS-$(CONFIG_COOK_DECODER)            += cook.o
OBJS-$(CONFIG_COMFORTNOISE_DECODER)    += cngdec.o celp_filters.o
OBJS-$(CONFIG_COMFORTNOISE_ENCODER)    += cngenc.o
OBJS-$(CONFIG_CSCD_DECODER)            += cscd.o
OBJS-$(CONFIG_CYUV_DECODER)            += cyuv.o
OBJS-$(CONFIG_DCA_DECODER)             += dcadec.o dca.o dcadsp.o      \
                                          synth_filter.o
OBJS-$(CONFIG_DFA_DECODER)             += dfa.o
OBJS-$(CONFIG_DNXHD_DECODER)           += dnxhddec.o dnxhddata.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += dnxhdenc.o dnxhddata.o
OBJS-$(CONFIG_DPX_DECODER)             += dpx.o
OBJS-$(CONFIG_DPX_ENCODER)             += dpxenc.o
OBJS-$(CONFIG_DSICINAUDIO_DECODER)     += dsicinaudio.o
OBJS-$(CONFIG_DSICINVIDEO_DECODER)     += dsicinvideo.o
OBJS-$(CONFIG_DVBSUB_DECODER)          += dvbsubdec.o
OBJS-$(CONFIG_DVBSUB_ENCODER)          += dvbsub.o
OBJS-$(CONFIG_DVDSUB_DECODER)          += dvdsubdec.o
OBJS-$(CONFIG_DVDSUB_ENCODER)          += dvdsubenc.o
OBJS-$(CONFIG_DVVIDEO_DECODER)         += dvdec.o dv.o dvdata.o
OBJS-$(CONFIG_DVVIDEO_ENCODER)         += dvenc.o dv.o dvdata.o
OBJS-$(CONFIG_DXA_DECODER)             += dxa.o
OBJS-$(CONFIG_DXTORY_DECODER)          += dxtory.o
OBJS-$(CONFIG_EAC3_DECODER)            += eac3dec.o eac3_data.o
OBJS-$(CONFIG_EAC3_ENCODER)            += eac3enc.o eac3_data.o
OBJS-$(CONFIG_EACMV_DECODER)           += eacmv.o
OBJS-$(CONFIG_EAMAD_DECODER)           += eamad.o eaidct.o mpeg12.o \
                                          mpeg12data.o
OBJS-$(CONFIG_EATGQ_DECODER)           += eatgq.o eaidct.o
OBJS-$(CONFIG_EATGV_DECODER)           += eatgv.o
OBJS-$(CONFIG_EATQI_DECODER)           += eatqi.o eaidct.o
OBJS-$(CONFIG_EIGHTBPS_DECODER)        += 8bps.o
OBJS-$(CONFIG_EIGHTSVX_EXP_DECODER)    += 8svx.o
OBJS-$(CONFIG_EIGHTSVX_FIB_DECODER)    += 8svx.o
OBJS-$(CONFIG_ESCAPE124_DECODER)       += escape124.o
OBJS-$(CONFIG_ESCAPE130_DECODER)       += escape130.o
OBJS-$(CONFIG_EXR_DECODER)             += exr.o
OBJS-$(CONFIG_FFV1_DECODER)            += ffv1dec.o ffv1.o
OBJS-$(CONFIG_FFV1_ENCODER)            += ffv1enc.o ffv1.o
OBJS-$(CONFIG_FIC_DECODER)             += fic.o
OBJS-$(CONFIG_FLAC_DECODER)            += flacdec.o flacdata.o flac.o flacdsp.o
OBJS-$(CONFIG_FLAC_ENCODER)            += flacenc.o flacdata.o flac.o flacdsp.o
OBJS-$(CONFIG_FLASHSV_DECODER)         += flashsv.o
OBJS-$(CONFIG_FLASHSV_ENCODER)         += flashsvenc.o
OBJS-$(CONFIG_FLASHSV2_DECODER)        += flashsv.o
OBJS-$(CONFIG_FLIC_DECODER)            += flicvideo.o
OBJS-$(CONFIG_FOURXM_DECODER)          += 4xm.o
OBJS-$(CONFIG_FRAPS_DECODER)           += fraps.o
OBJS-$(CONFIG_FRWU_DECODER)            += frwu.o
OBJS-$(CONFIG_G2M_DECODER)             += g2meet.o mjpeg.o
OBJS-$(CONFIG_G723_1_DECODER)          += g723_1.o acelp_vectors.o \

=== libavdevice/Makefile ===
NAME    = avdevice

HEADERS = avdevice.h                                                    \
          version.h                                                     \

OBJS    = alldevices.o                                                  \
          avdevice.o                                                    \

# input/output devices
OBJS-$(CONFIG_ALSA_INDEV)                += alsa-audio-common.o \
                                            alsa-audio-dec.o
OBJS-$(CONFIG_ALSA_OUTDEV)               += alsa-audio-common.o \
                                            alsa-audio-enc.o
OBJS-$(CONFIG_BKTR_INDEV)                += bktr.o
OBJS-$(CONFIG_DV1394_INDEV)              += dv1394.o
OBJS-$(CONFIG_FBDEV_INDEV)               += fbdev.o
OBJS-$(CONFIG_JACK_INDEV)                += jack_audio.o timefilter.o
OBJS-$(CONFIG_OSS_INDEV)                 += oss_audio.o oss_audio_dec.o
OBJS-$(CONFIG_OSS_OUTDEV)                += oss_audio.o oss_audio_enc.o
OBJS-$(CONFIG_PULSE_INDEV)               += pulse.o
OBJS-$(CONFIG_SNDIO_INDEV)               += sndio_common.o sndio_dec.o
OBJS-$(CONFIG_SNDIO_OUTDEV)              += sndio_common.o sndio_enc.o
OBJS-$(CONFIG_V4L2_INDEV)                += v4l2.o
OBJS-$(CONFIG_VFWCAP_INDEV)              += vfwcap.o
OBJS-$(CONFIG_X11GRAB_INDEV)             += x11grab.o

# external libraries
OBJS-$(CONFIG_LIBCDIO_INDEV)             += libcdio.o
OBJS-$(CONFIG_LIBDC1394_INDEV)           += libdc1394.o

OBJS-$(HAVE_LIBC_MSVCRT)                 += file_open.o

SKIPHEADERS-$(HAVE_ALSA_ASOUNDLIB_H)     += alsa-audio.h
SKIPHEADERS-$(HAVE_SNDIO_H)              += sndio_common.h

TESTPROGS = timefilter

=== libavresample/Makefile ===
NAME = avresample

HEADERS = avresample.h                                                  \
          version.h                                                     \

OBJS = audio_convert.o                                                  \
       audio_data.o                                                     \
       audio_mix.o                                                      \
       audio_mix_matrix.o                                               \
       dither.o                                                         \
       options.o                                                        \
       resample.o                                                       \
       utils.o                                                          \

TESTPROGS = avresample

=== libavcodec/ppc/Makefile ===
OBJS                                   += ppc/fmtconvert_altivec.o      \

# subsystems
OBJS-$(CONFIG_AUDIODSP)                += ppc/audiodsp.o
OBJS-$(CONFIG_BLOCKDSP)                += ppc/blockdsp.o
OBJS-$(CONFIG_FFT)                     += ppc/fft_init.o                \
                                          ppc/fft_altivec.o
OBJS-$(CONFIG_H264CHROMA)              += ppc/h264chroma_init.o
OBJS-$(CONFIG_H264DSP)                 += ppc/h264dsp.o
OBJS-$(CONFIG_H264QPEL)                += ppc/h264qpel.o
OBJS-$(CONFIG_HPELDSP)                 += ppc/hpeldsp_altivec.o
OBJS-$(CONFIG_HUFFYUVDSP)              += ppc/huffyuvdsp_altivec.o
OBJS-$(CONFIG_FDCTDSP)                 += ppc/fdctdsp.o
OBJS-$(CONFIG_IDCTDSP)                 += ppc/idctdsp.o
OBJS-$(CONFIG_ME_CMP)                  += ppc/me_cmp.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += ppc/mpegaudiodsp_altivec.o
OBJS-$(CONFIG_MPEGVIDEO)               += ppc/mpegvideo_altivec.o      \
                                          ppc/mpegvideodsp.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += ppc/mpegvideoencdsp.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += ppc/pixblockdsp.o
OBJS-$(CONFIG_VIDEODSP)                += ppc/videodsp_ppc.o
OBJS-$(CONFIG_VP3DSP)                  += ppc/vp3dsp_altivec.o

# decoders/encoders
OBJS-$(CONFIG_APE_DECODER)             += ppc/apedsp_altivec.o
OBJS-$(CONFIG_SVQ1_ENCODER)            += ppc/svq1enc_altivec.o
OBJS-$(CONFIG_VC1_DECODER)             += ppc/vc1dsp_altivec.o
OBJS-$(CONFIG_VORBIS_DECODER)          += ppc/vorbisdsp_altivec.o
OBJS-$(CONFIG_VP7_DECODER)             += ppc/vp8dsp_altivec.o
OBJS-$(CONFIG_VP8_DECODER)             += ppc/vp8dsp_altivec.o

=== debian/changelog ===
libav (6:11.12-1~deb8u9) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-17542: heap-based buffer overflow in vqa_decode_chunk because
    of an out-of-array access in vqa_decode_init in libavcodec/vqavideo.c.
  * CVE-2019-14443: division by zero in range_decode_culshift in
    libavcodec/apedec.c allows remote attackers to cause a denial of
    service (application crash), as demonstrated by avconv.
  * CVE-2018-19128: heap-based buffer over-read in decode_frame in
    libavcodec/lcldec.c that allows an attacker to cause denial-of-service
    via a crafted avi file.
  * CVE-2017-17127: the vc1_decode_frame function in libavcodec/vc1dec.c
    allows remote attackers to cause a denial of service (NULL pointer
    dereference and application crash) via a crafted file.
    CVE-2018-19130 is a duplicate of this vulnerability.
  * CVE-2017-18245: the mpc8_probe function in libavformat/mpc8.c allows
    remote attackers to cause a denial of service (heap-based buffer
    over-read) via a crafted audio file on 32-bit systems.

 -- Sylvain Beucler <beuc@debian.org>  Thu, 05 Dec 2019 17:27:00 +0100

libav (6:11.12-1~deb8u8) jessie-security; urgency=medium

  * CVE-2019-14442: avformat/mpc8: fix hang with fuzzed file.
  * CVE-2018-5766: lavc/avpacket: Fix undefined behaviour, do not pass a null
    pointer to memcpy().
  * CVE-2019-14372: wvdec: check for eof in wv_read_block_header().
  * CVE-2017-9987: avcodec/mpegvideo_motion: Fix off by 1 error in MV bounds
    checking.
  * CVE-2018-11102:  
    - mov_probe: fix integer overflows.
    - mov.c: Check for stsd + m1s tag indicating MOV-wrapped MPEG-PS, and force
      continued probing if found. 

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Aug 2019 17:36:55 +0200

libav (6:11.12-1~deb8u7) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2019-11338: avcodec/hevc: Avoid only partly skiping duplicate first
    slices.
  * CVE-2018-15822: avformat/flvenc: Check audio packet size. 

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 May 2019 14:14:01 +0200

libav (6:11.12-1~deb8u6) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2018-1999012: avformat/pva: Check for EOF before retrying in
    read_part_of_packet().
  * CVE-2015-1872: avcodec/mjpegdec: Check number of components for
    JPEG-LS.
  * CVE-2018-6392: avfilter/vf_transpose: Fix out of array access (including
    later regression fix with packed pixel formats).
  * CVE-2017-14058: avformat/hls: Fix DoS due to infinite loop.
  * CVE-2017-1000460: h264dec: handle zero-sized NAL units in
    get_last_needed_nal().

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Mar 2019 21:44:13 +0100

libav (6:11.12-1~deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team..
  * CVE-2015-1207: avformat/mov: Fix integer overflow in
    mov_read_udta_string().
  * CVE-2017-14169: In mxf_read_primer_pack() function, catch item_num
    being negative, to avoid bypassing the check for a large value.
  * CVE-2017-14223: avformat/asfdec: Fix DoS in asf_build_simple_index().
    Fix missing EOF check in loop.
  * CVE-2017-7863: Bail out if trns was found before IHDR or IDAT in PNG data. 
  * CVE-2014-8542: Add case for jv to avcodec_align_dimensions2().
  * CVE-2017-7865: Add case for interplay_video to avcodec_align_dimensions2().

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Jan 2019 15:30:50 +0100

libav (6:11.12-1~deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix the following security vulnerabilities:
  * CVE-2017-14055: a DoS in mv_read_header() due to lack of an EOF (End of
    File) check might cause huge CPU and memory consumption.
  * CVE-2017-14056: a DoS in rl2_read_header() due to lack of an EOF (End of
    File) check might cause huge CPU and memory consumption.
  * CVE-2017-14057: a DoS in asf_read_marker() due to lack of an EOF (End of
    File) check might cause huge CPU and memory consumption.
  * CVE-2017-14170: a DoS in mxf_read_index_entry_array() due to lack of an EOF
    (End of File) check might cause huge CPU consumption.
  * CVE-2017-14171: a DoS in nsv_parse_NSVf_header() due to lack of an EOF (End
    of File) check might cause huge CPU consumption.
  * CVE-2017-14767: The sdp_parse_fmtp_config_h264 function in
    libavformat/rtpdec_h264.c mishandles empty sprop-parameter-sets values, which
    allows remote attackers to cause a denial of service (heap buffer overflow)
    or possibly have unspecified other impact via a crafted sdp file.
  * CVE-2017-15672: The read_header function in libavcodec/ffv1dec.c allows
    remote attackers to have unspecified impact via a crafted MP4 file, which
    triggers an out-of-bounds read.
  * CVE-2017-17130: The ff_free_picture_tables function in
    libavcodec/mpegpicture.c allows remote attackers to cause a denial of service
    (heap-based buffer overflow and application crash) or possibly have
    unspecified other impact via a crafted file, related to
    vc1_decode_i_blocks_adv.
  * CVE-2017-9993: Libav does not properly restrict HTTP Live Streaming
    filename extensions and demuxer names, which allows attackers to read
    arbitrary files via crafted playlist data.
  * CVE-2017-9994: libavcodec/webp.c in Libav before does not ensure that
    pix_fmt is set, which allows remote attackers to cause a denial of service
    (heap-based buffer overflow and application crash) or possibly have
    unspecified other impact via a crafted file, related to the
    vp8_decode_mb_row_no_filter and pred8x8_128_dc_8_c functions.
  * CVE-2018-14394: libavformat/movenc.c in Libav allows attackers to cause a
    denial of service (application crash caused by a divide-by-zero error) with a
    user crafted Waveform audio file.
  * CVE-2018-1999010: Libav contains multiple out of array access
    vulnerabilities in the mms protocol that can result in attackers accessing


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libav
 Section: libs
 Priority: optional
-Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Loïc Minier <lool@debian.org>,
@@ -407,3 +406,4 @@
  Libav is a complete, cross-platform solution to decode, encode, record,
  convert and stream audio and video.
  .
+ This package depends on the latest version of the libavcodec variant
